MAPL_Conjured_Items_Table = {
	"INV_Drink_06", -- Drink item rank 1
	"INV_Drink_07",
	"INV_Drink_Milk_02",
	"INV_Drink_10",
	"INV_Drink_09",
	"INV_Drink_11",
	"INV_Drink_18",
	"INV_Drink_Waterskin_11",
	"INV_Drink_16", -- Drink item rank 9
	---------------------------------------
	"INV_Misc_Food_10", -- Food item rank 1
	"INV_Misc_Food_09",
	"INV_Misc_Food_12",
	"INV_Misc_Food_08",
	"INV_Misc_Food_11",
	"INV_Misc_Food_33",
	"INV_Misc_Food_73CinnamonRoll",
	"INV_Misc_Food_32", -- Food item rank 8
}

local BagNum

function MageAutoPlace_OnLoad()

	SLASH_MageAutoPlace1 = "/mageautoplace";  
	SLASH_MageAutoPlace2 = "/mapl";  
	SlashCmdList["MageAutoPlace"] = function(msg)
	MageAutoPlace_Handler(msg);
	end
  
	if( DEFAULT_CHAT_FRAME ) then
	DEFAULT_CHAT_FRAME:AddMessage("MageAutoPlace loaded.",1, 0, 0);
	end  
  
	this:RegisterEvent("BAG_UPDATE");
	this:RegisterEvent("PLAYER_LOGIN");
	this:RegisterEvent("PLAYER_ALIVE");
	
end

function MageAutoPlace_OnEvent()
	if (event == "PLAYER_LOGIN" or event == "PLAYER_ALIVE") then
local a = UnitClass("player")
		if a == "Mage" then
		MageFound = 1
		end
	end
	
	if MageFound == 1 then
		if (event == "BAG_UPDATE") then
			if PutInBagNum ~= nil then
				for i = 1, 16 do
local				texture, itemCount, locked, quality, readable = GetContainerItemInfo(0, i)
					if texture ~= nil then
						for j = 1, 17 do
							if string.find(texture, MAPL_Conjured_Items_Table[j]) then
							PickupContainerItem(0, i)
							PutItemInBag(PutInBagNum)
							break
							end
						end
					end
				end
			end
		end
	end
end

function MageAutoPlace_Handler(msg)
	if UnitClass("player") == "Mage" then
		if (msg == "bell") then
		PlaySoundFile("Sound\\Doodad\\BellTollHorde.wav");
		elseif msg == "" or msg == "help" then
		MageAutoPlace_Out("***** MageAutoPlace Commands *****")
		MageAutoPlace_Out("/mapl none - to stop auto placement.")
		MageAutoPlace_Out("/mapl xx - xx is the bag number to receive food/water.")
		MageAutoPlace_Out("For example /mapl 10 - puts them into bag F10.")
		MageAutoPlace_Out("**********************************")
		MageAutoPlace_Out("From left to right the bags are ...")
		MageAutoPlace_Out("F8, F9, F10, F11 and Backpack.")
		MageAutoPlace_Out("**********************************")
			if PutInBagNum ~= nil then
				if PutInBagNum == 20 then
				BagNum = "F11"
				elseif PutInBagNum == 21 then
				BagNum = "F10"
				elseif PutInBagNum == 22 then
				BagNum = "F9"
				elseif PutInBagNum == 23 then
				BagNum = "F8"
				end
			MageAutoPlace_Out("Food/Water are currently going to "..BagNum)
			else 
			MageAutoPlace_Out("No bag is currently specified.")
			end
		elseif msg == "8" then
		PutInBagNum = 23
		MageAutoPlace_Out("Conjured food/water will go to bag F8")
		elseif msg == "9" then
		PutInBagNum = 22
		MageAutoPlace_Out("Conjured food/water will go to bag F9")
		elseif msg == "10" then
		PutInBagNum = 21
		MageAutoPlace_Out("Conjured food/water will go to bag F10")
		elseif msg == "11" then
		PutInBagNum = 20
		MageAutoPlace_Out("Conjured food/water will go to bag F11")
		elseif msg == "none" then
		PutInBagNum = nil
		MageAutoPlace_Out("Auto placement is off.")
		end
	else
	MageAutoPlace_Out("You are not a Mage.")
	end
end



function MageAutoPlace_Out(text)
	DEFAULT_CHAT_FRAME:AddMessage(text)
end
		
